/*
 * Designed and developed by 2020-2022 skydoves (Jaewoong Eum)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.skydoves.landscapist

import androidx.compose.foundation.Image
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.painter.Painter

/** Represent a common landscapist image that includes [Painter] and [ImageOptions]. */
@Composable
@InternalLandscapistApi
public fun ImageOptions.LandscapistImage(
  modifier: Modifier,
  painter: Painter
) {
  Image(
    modifier = modifier,
    painter = painter,
    alignment = alignment,
    contentScale = contentScale,
    contentDescription = contentDescription,
    alpha = alpha,
    colorFilter = colorFilter
  )
}
